<ng-container *ngIf="loading$|async">
    <app-page-loading/>
</ng-container>

<ng-container *ngIf="error$|async as error">
    <app-page-error [payload]="error"></app-page-error>
</ng-container>

<ng-container *ngIf="facturas$ | async as facturas">
    <app-title titulo="Facturas"></app-title>

    <p-button label="Agregar" icon="pi pi-plus" [routerLink]="['/facturas/crear']" />
    <p-table 
        [value]="facturas" 
        styleClass="p-datatable-striped" 
        [tableStyle]="{'min-width': '50rem'}">
            <ng-template pTemplate="header">
                <tr>
                    <th>ID</th>
                    <th>FECHA</th>
                    <th>NIT</th>
                    <th>TOTAL</th>
                    <th>OPCIONES</th>
                </tr>
            </ng-template>
            <ng-template pTemplate="body" let-factura>
                <tr>
                    <td>{{factura.id}}</td>
                    <td>{{factura.fecha|date: 'MMMM d, y'}}</td>
                    <td>{{factura.nitCliente}}</td>
                    <td>{{factura.total| currency}}</td>
                    <td>
                        <div class="flex flex-wrap gap-3 mb-4">
                            <p-button icon="pi pi-eye" [rounded]="true" severity="info" [routerLink]="['/facturas/visualizar', factura.id]"/>
                            <p-button icon="pi pi-trash" [rounded]="true" severity="danger" (onClick)="eliminar(factura.id)"/>
                            <p-button icon="pi pi-pencil" [rounded]="true" [routerLink]="['/facturas/factura', factura.id]"/>
                        </div>
                    </td>
                </tr>
            </ng-template>
    </p-table>

    <p-paginator 
    (onPageChange)="onPageChange($event)" 
    [rows]="rows" 
    [totalRecords]="totalElements" 
    [rowsPerPageOptions]="[10, 20, 30]" />
</ng-container>